Subject: Re: bug#39768: -t prints extra newlines

From: Jim Meyering <[email-masked]>
Date: Sat, 14 Mar 2020 21:04:16 -0700

On Mon, Feb 24, 2020 at 8:06 AM 積丹尼 Dan Jacobson <[email-masked]> wrote:
> Man page doesn't say where to send bugs, unlike all other GNU man pages.
>
> Man page says
>        -t --test
>               Test. Check the compressed file integrity.
> It should also say "and quit"
> like
>        -V --version
>               Version. Display the version number and compilation options then quit.
> says.

Thank you for those suggestions. I've addressed both with the attached patch.
Will push tomorrow.

> Also
> $ gunzip -t file.gz
>
> gzip: file.gz: invalid compressed data--crc error
>
> gzip: file.gz: invalid compressed data--length error
>
> prints extra newlines.
>
> $ gunzip -V
> gzip 1.9

I don't know off hand why all of those diagnostics deliberately start
(and end) with newline, so at least for now, I'm inclined to leave
them as-is.